### Function

# Msg InputStream get_message

#### Declaration [src]

    SoupMessage*
    msg_input_stream_get_message (
      GInputStream* stream
    )

#### Description [src]

Gets corresponding SoupMessage.

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `SoupMessage`

A `SoupMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.